//Colored water particle emitters

datablock ParticleData(WaterParticleColor)
{
	textureName          = "base/data/particles/cloud";
	dragCoefficient      = 0.0;
	gravityCoefficient   = 1.0;
	inheritedVelFactor   = 0.0;
	windCoefficient      = 0;
	constantAcceleration = 0;
	lifetimeMS           = 2000;
	lifetimeVarianceMS   = 100;
	spinSpeed     = 0;
	spinRandomMin = -30.0;
	spinRandomMax =  30.0;
	useInvAlpha   = true;

	colors[0]     = "0.000 0.2 0.5 0.9";
	colors[1]     = "0.000 0.4 0.8 0.8";
	colors[2]     = "0.4 0.85 0.9 0.7";
	colors[3]     = "0.9 0.9 0.9 0.0";

	sizes[0]	= 0.5;
	sizes[1]	= 2.0;
	sizes[2]	= 1.6;
	sizes[3]	= 1.6;

	times[0]	= 0.0;
	times[1]	= 0.2;
	times[2]	= 0.8;
	times[3]	= 1.0;
};

datablock ParticleEmitterData(WaterEmitterColor)
{
   ejectionPeriodMS = 50;
   periodVarianceMS = 4;
   ejectionVelocity = 0.9;
   ejectionOffset   = 0.4;
   velocityVariance = 0.0;
   thetaMin         = 0;
   thetaMax         = 5;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = true;


   //lifetimeMS = 5000;
   particles = "WaterParticleColor";   
   
   useEmitterColors = true;

	uiName = "Water Colored";
};
